# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

# require all files in the folder?
require 'honest_pubsub/version'

Gem::Specification.new do |spec|
  spec.name          = "honest_pubsub"
  spec.version       = HonestPubsub::VERSION
  spec.authors       = ["tech@honest.com", "Thanh Lim", "tusharranka@gmail.com", "Joel Jackson"]
  spec.email         = ["webadmin@thehonestcompany.com"]
  spec.description   = "Pub sub gem for Honest Company"
  spec.summary       = "Pub sub gem for Honest Company"
  spec.homepage      = ""
  spec.license       = "Private"


  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake", ">= 10.0"
  spec.add_development_dependency "rspec", "~> 3.0.0"
  spec.add_development_dependency "debugger"
  spec.add_runtime_dependency "activesupport", ">= 3.2"
  spec.add_runtime_dependency "awesome_print", "~> 1.2.0"
  spec.add_runtime_dependency "bunny", ">= 1.2"
  spec.add_runtime_dependency "airbrake", ">= 3.1"
  spec.add_runtime_dependency "hashie", ">= 1.2"
  spec.add_runtime_dependency "json", ">= 1.8"
  spec.add_runtime_dependency "celluloid", ">= 0.15"
  spec.add_runtime_dependency "celluloid-io", ">= 0.15"


end
